# Class OnOffElement

#### Hierarchy

- XmlComponent
  - OnOffElement

- Defined in file/xml-components/simple-elements.ts:15

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new OnOffElement(name, val?): OnOffElement

- #### Parameters

  - ##### name: string

  - ##### val: undefined | boolean = true

  #### Returns OnOffElement

  Overrides XmlComponent.constructor

  - Defined in file/xml-components/simple-elements.ts:16

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc